Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
[Java] Class DefaultTableColumn

    java.lang.Object
      javax.swing.table.TableColumn
          groovy.model.DefaultTableColumn

    public class DefaultTableColumn
    extends javax.swing.table.TableColumn

Represents a column using a ValueModel to extract the value.

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class javax.swing.table.TableColumn
COLUMN_WIDTH_PROPERTY, HEADER_VALUE_PROPERTY, HEADER_RENDERER_PROPERTY, CELL_RENDERER_PROPERTY

Constructor Summary
`DefaultTableColumn(ValueModel valueModel)`
`DefaultTableColumn(java.lang.Object header, ValueModel valueModel)`
`DefaultTableColumn(java.lang.Object headerValue, java.lang.Object identifier, ValueModel columnValueModel)`

Method Summary
`java.lang.Class` | `getType()` @return the column type
`java.lang.Object` | `getValue(java.lang.Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
`ValueModel` | `getValueModel()`
`void` | `setValue(java.lang.Object row, java.lang.Object value, int rowIndex, int columnIndex)`
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.table.TableColumn
javax.swing.table.TableColumn#setWidth(int), javax.swing.table.TableColumn#getMinWidth(), javax.swing.table.TableColumn#setMinWidth(int), javax.swing.table.TableColumn#setModelIndex(int), javax.swing.table.TableColumn#getModelIndex(), javax.swing.table.TableColumn#setIdentifier(java.lang.Object), javax.swing.table.TableColumn#setHeaderValue(java.lang.Object), javax.swing.table.TableColumn#getHeaderValue(), javax.swing.table.TableColumn#setHeaderRenderer(javax.swing.table.TableCellRenderer), javax.swing.table.TableColumn#getHeaderRenderer(), javax.swing.table.TableColumn#setCellRenderer(javax.swing.table.TableCellRenderer), javax.swing.table.TableColumn#getCellRenderer(), javax.swing.table.TableColumn#setCellEditor(javax.swing.table.TableCellEditor), javax.swing.table.TableColumn#getCellEditor(), javax.swing.table.TableColumn#setPreferredWidth(int), javax.swing.table.TableColumn#getPreferredWidth(), javax.swing.table.TableColumn#setMaxWidth(int), javax.swing.table.TableColumn#getMaxWidth(), javax.swing.table.TableColumn#setResizable(boolean), javax.swing.table.TableColumn#getResizable(), javax.swing.table.TableColumn#sizeWidthToFit(), javax.swing.table.TableColumn#disableResizedPosting(), javax.swing.table.TableColumn#enableResizedPosting(), javax.swing.table.TableColumn#getIdentifier(), javax.swing.table.TableColumn#getWidth(), javax.swing.table.TableColumn#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.table.TableColumn#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.table.TableColumn#getPropertyChangeListeners(), javax.swing.table.TableColumn#wait(long), javax.swing.table.TableColumn#wait(long, int), javax.swing.table.TableColumn#wait(), javax.swing.table.TableColumn#equals(java.lang.Object), javax.swing.table.TableColumn#toString(), javax.swing.table.TableColumn#hashCode(), javax.swing.table.TableColumn#getClass(), javax.swing.table.TableColumn#notify(), javax.swing.table.TableColumn#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultTableColumn

    public DefaultTableColumn(ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(java.lang.Object header, ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(java.lang.Object headerValue, java.lang.Object identifier, ValueModel columnValueModel)

Method Detail

### getType

    public java.lang.Class getType()

  Returns:
    the column type

### getValue

    public java.lang.Object getValue(java.lang.Object row, int rowIndex, int columnIndex)

  Evaluates the value of a cell
  Parameters:
    `row` - the row of interest
    `rowIndex` - the index of the row of interest
    `columnIndex` - the column of interest
  Returns:
    the value

### getValueModel

    public ValueModel getValueModel()

### setValue

    public void setValue(java.lang.Object row, java.lang.Object value, int rowIndex, int columnIndex)

### toString

    public java.lang.String toString()

Groovy Documentation